You are not logged in.

#1 2013-12-14 10:17:14

kalsan
Member
Registered: 2011-10-10
Posts: 87

Install indicator-multiload

Hi there,
I'm trying to install indicator-multiload via yaourt. It tells me:
==> indicator-multiload dependencies:
- cairo (already installed)
- xdg-utils (already installed)
- gdk-pixbuf2>=2.0 (already installed)
- pango>=1.0 (already installed)
- gcc (already installed)
- pkg-config (already installed)
- libdbusmenu (building from AUR)
- libindicator3>=0.3.0 (building from AUR)
- intltool (package found)

Then it's unable to install libdbusmenu and libindicator3. yaourt libdbusmenu installs the -glib and -gtk3 versions of that lib, but once done that, when I execute yaourt indicator-multiload, it still shows up under "buiding from AUR". It doesn't "see" the lib.
I'm new to AUR. What am I doing wrong?
Cheers,
Kalsan

Offline

#2 2013-12-14 10:22:24

karol
Archivist
Registered: 2009-05-06
Posts: 25,430

Re: Install indicator-multiload

Offline

#3 2013-12-14 11:06:57

kalsan
Member
Registered: 2011-10-10
Posts: 87

Re: Install indicator-multiload

Thanks for your reply.
I've already seen "I'll be renaming libindicator3 to libindicator-gtk3." Unfortunately, I have no idea what the author means with that. What do I have to rename exactly?
Cheer,
Kalsan

Offline

#4 2013-12-14 11:09:56

karol
Archivist
Registered: 2009-05-06
Posts: 25,430

Re: Install indicator-multiload

He changed package names, so you have to edit the PKGBUILD https://aur.archlinux.org/packages/in/i … d/PKGBUILD accordingly.

Offline

#5 2013-12-14 19:06:01

kalsan
Member
Registered: 2011-10-10
Posts: 87

Re: Install indicator-multiload

OK so I've done that. I successfully did the same thing with libdbusmenu. Now there's another problem I have no idea how to handle:

$ yaourt indicator-multiload
1 aur/indicator-multiload 0.3-3 (1)
    System Load indicator for Unity
==> Enter n° of packages to be installed (ex: 1 2 3 or 1-3)
==> -------------------------------------------------------
1


==> Downloading indicator-multiload PKGBUILD from AUR...
x indicator-multiload.install
x PKGBUILD
Comment by alucryd  (2013-10-14 12:32)
Hey, I'll be renaming libindicator3 to libindicator-gtk3. Even if Ubuntu uses that name, it is just confusing, and a number at the end usually indicates a different package version on arch.

Comment by nloewen  (2013-12-03 19:26)
I'm having some trouble building this. It's trying to copy the *.m4 files to the filesystem root... Manually moving them to {source}/m4 doesn't fix anything.

indicator-multiload 0.3-3  (Don Jun  6 19:17:34 CEST 2013)
( Unsupported package: Potentially dangerous ! )
==> Edit PKGBUILD ? [Y/n] ("A" to abort)
==> ------------------------------------
==> y

==> indicator-multiload dependencies:
 - cairo (already installed)
 - libdbusmenu-gtk3 (already installed)
 - xdg-utils (already installed)
 - gdk-pixbuf2>=2.0 (already installed)
 - libindicator-gtk3>=0.3.0 (already installed)
 - pango>=1.0 (already installed)
 - intltool (already installed)
 - gcc (already installed)
 - pkg-config (already installed)


==> Edit PKGBUILD ? [Y/n] ("A" to abort)
==> ------------------------------------
==> n

==> Edit indicator-multiload.install ? [Y/n] ("A" to abort)
==> -------------------------------------------------------
==> n

==> Continue building indicator-multiload ? [Y/n]
==> ---------------------------------------------
==> 
==> Building and installing package
==> Erstelle Paket: indicator-multiload 0.3-3 (Sam Dez 14 20:08:46 CET 2013)
==> Prüfe Laufzeit-Abhängigkeiten...
==> Prüfe Buildtime-Abhängigkeiten...
==> Empfange Quellen...
  -> Lade indicator-multiload-0.3.tar.gz herunter...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100  392k  100  392k    0     0   239k      0  0:00:01  0:00:01 --:--:--  415k
==> Überprüfe Gültigkeit der Quell-Dateien mit md5sums...
    indicator-multiload-0.3.tar.gz ... Durchgelaufen
==> Entpacke Quellen ...
  -> Entpacke indicator-multiload-0.3.tar.gz mit bsdtar 
==> Beginne build()...
./autogen.sh: Zeile 2: gnome-autogen.sh: Kommando nicht gefunden.
==> FEHLER: Ein Fehler geschah in build().
    Breche ab ...
==> ERROR: Makepkg was unable to build indicator-multiload.

$

Last edited by kalsan (2013-12-14 19:09:29)

Offline

#6 2013-12-14 19:09:14

karol
Archivist
Registered: 2009-05-06
Posts: 25,430

Re: Install indicator-multiload

I don't see you changed it. Post the PKGBUILD.

Offline

#7 2013-12-14 19:10:38

kalsan
Member
Registered: 2011-10-10
Posts: 87

Re: Install indicator-multiload

Sorry, I posted the wrong code. I edited it, but you were faster ;-)
What you see is correct now.

Offline

#8 2013-12-14 19:30:28

karol
Archivist
Registered: 2009-05-06
Posts: 25,430

Re: Install indicator-multiload

Do you have gnome-common installed?


I see you're using German locales. Run

LC_ALL=C <command>

to get the output in English.

Offline

#9 2013-12-15 08:50:32

kalsan
Member
Registered: 2011-10-10
Posts: 87

Re: Install indicator-multiload

I didn't have gnome-common installed. So I just did that and then the installer failed at another poing, telling me that appindicator is missing. So I installed the following via yaourt:

8 aur/libappindicator3 12.10.0-2 (71)
    Library to allow applications to export a menu into the Unity Menu bar 
    (GTK+ 3 library)

Amazingly, there's another problem! I'm starting to believe that I'll never get there... Here's the output:

Edit PKGBUILD ? [Y/n] ("A" to abort)
==> ------------------------------------
==> y

==> indicator-multiload dependencies:
 - cairo (already installed)
 - libdbusmenu-gtk3 (already installed)
 - xdg-utils (already installed)
 - gdk-pixbuf2>=2.0 (already installed)
 - libindicator-gtk3>=0.3.0 (already installed)
 - pango>=1.0 (already installed)
 - intltool (already installed)
 - gcc (already installed)
 - pkg-config (already installed)


==> Edit PKGBUILD ? [Y/n] ("A" to abort)
==> ------------------------------------
==> n

==> Edit indicator-multiload.install ? [Y/n] ("A" to abort)
==> -------------------------------------------------------
==> n

==> Continue building indicator-multiload ? [Y/n]
==> ---------------------------------------------
==> 
==> Building and installing package
==> Making package: indicator-multiload 0.3-3 (Sun Dec 15 09:44:53 CET 2013)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found indicator-multiload-0.3.tar.gz
==> Validating source files with md5sums...
    indicator-multiload-0.3.tar.gz ... Passed
==> Extracting sources...
  -> Extracting indicator-multiload-0.3.tar.gz with bsdtar
==> Removing existing pkg/ directory...
==> Starting build()...
checking for autoreconf >= 2.53...
  testing autoreconf... found 2.69
checking for intltool >= 0.25...
  testing intltoolize... found 0.50.2
checking for pkg-config >= 0.14.0...
  testing pkg-config... found 0.28
Checking for required M4 macros...
Checking for forbidden M4 macros...
**Warning**: I am going to run `configure' with no arguments.
If you wish to pass any to it, please specify them on the
`/usr/bin/gnome-autogen.sh' command line.

Processing ./configure.ac
Running intltoolize...
Running autoreconf...
autoreconf: Entering directory `.'
autoreconf: running: autopoint --force
Copying file /codeset.m4
cp: cannot create regular file '/codeset.m4': Permission denied
Copying file /gettext.m4
cp: cannot create regular file '/gettext.m4': Permission denied
Copying file /glibc2.m4
cp: cannot create regular file '/glibc2.m4': Permission denied
Copying file /glibc21.m4
cp: cannot create regular file '/glibc21.m4': Permission denied
Copying file /iconv.m4
cp: cannot create regular file '/iconv.m4': Permission denied
Copying file /intdiv0.m4
cp: cannot create regular file '/intdiv0.m4': Permission denied
Copying file /intl.m4
cp: cannot create regular file '/intl.m4': Permission denied
Copying file /intldir.m4
cp: cannot create regular file '/intldir.m4': Permission denied
Copying file /intlmacosx.m4
cp: cannot create regular file '/intlmacosx.m4': Permission denied
Copying file /intmax.m4
cp: cannot create regular file '/intmax.m4': Permission denied
Copying file /inttypes-pri.m4
cp: cannot create regular file '/inttypes-pri.m4': Permission denied
Copying file /inttypes_h.m4
cp: cannot create regular file '/inttypes_h.m4': Permission denied
Copying file /lcmessage.m4
cp: cannot create regular file '/lcmessage.m4': Permission denied
Copying file /lib-ld.m4
cp: cannot create regular file '/lib-ld.m4': Permission denied
Copying file /lib-link.m4
cp: cannot create regular file '/lib-link.m4': Permission denied
Copying file /lib-prefix.m4
cp: cannot create regular file '/lib-prefix.m4': Permission denied
Copying file /lock.m4
cp: cannot create regular file '/lock.m4': Permission denied
Copying file /longlong.m4
cp: cannot create regular file '/longlong.m4': Permission denied
Copying file /nls.m4
cp: cannot create regular file '/nls.m4': Permission denied
Copying file /po.m4
cp: cannot create regular file '/po.m4': Permission denied
Copying file /printf-posix.m4
cp: cannot create regular file '/printf-posix.m4': Permission denied
Copying file /progtest.m4
cp: cannot create regular file '/progtest.m4': Permission denied
Copying file /size_max.m4
cp: cannot create regular file '/size_max.m4': Permission denied
Copying file /stdint_h.m4
cp: cannot create regular file '/stdint_h.m4': Permission denied
Copying file /uintmax_t.m4
cp: cannot create regular file '/uintmax_t.m4': Permission denied
Copying file /visibility.m4
cp: cannot create regular file '/visibility.m4': Permission denied
Copying file /wchar_t.m4
cp: cannot create regular file '/wchar_t.m4': Permission denied
Copying file /wint_t.m4
cp: cannot create regular file '/wint_t.m4': Permission denied
Copying file /xsize.m4
cp: cannot create regular file '/xsize.m4': Permission denied
Copying file po/Makefile.in.in
autoreconf: running: aclocal --force --warnings=no-portability 
autoreconf: configure.ac: tracing
autoreconf: configure.ac: not using Libtool
autoreconf: running: /usr/bin/autoconf --force --warnings=no-portability
autoreconf: running: /usr/bin/autoheader --force --warnings=no-portability
autoreconf: running: automake --add-missing --copy --force-missing --warnings=no-portability
autoreconf: Leaving directory `.'
Running ./configure ...
checking whether make supports nested variables... yes
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking whether gcc understands -c and -o together... yes
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
/bin/sh: /home/sandro/missing: No such file or directory
configure: WARNING: 'missing' script is too old or missing
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking for valac... /usr/bin/valac
checking whether /usr/bin/valac is at least version 0.12.0... yes
checking whether NLS is requested... yes
checking for intltool-update... /usr/bin/intltool-update
checking for intltool-merge... /usr/bin/intltool-merge
checking for intltool-extract... /usr/bin/intltool-extract
checking for xgettext... /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/msgfmt
checking for perl... /usr/bin/perl
checking for perl >= 5.8.1... 5.18.1
checking for XML::Parser... ok
checking for a sed that does not truncate output... /usr/bin/sed
checking for msgfmt... (cached) /usr/bin/msgfmt
checking for gmsgfmt... (cached) /usr/bin/msgfmt
checking for xgettext... (cached) /usr/bin/xgettext
checking for msgmerge... (cached) /usr/bin/msgmerge
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for shared library run path origin... done
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for CFPreferencesCopyAppValue... no
checking for CFLocaleCopyCurrent... no
checking for GNU gettext in libc... yes
checking whether to use NLS... yes
checking where the gettext function comes from... libc
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.16... yes
checking for MULTILOADDEPS... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating src/Makefile
config.status: creating data/Makefile
config.status: creating data/preferences.ui
config.status: creating data/de.mh21.indicator.multiload.gschema.xml.in
config.status: creating po/Makefile.in
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing po-directories commands
config.status: creating po/POTFILES
config.status: creating po/Makefile
config.status: executing po/stamp-it commands
config.status: error: po/Makefile.in.in was not created by intltoolize.
==> ERROR: A failure occurred in build().
    Aborting...
==> ERROR: Makepkg was unable to build indicator-multiload.
==> Restart building indicator-multiload ? [y/N]
==> --------------------------------------------
==> 

I see lots of "permisssion denied" but yaourt never asked me to enter my password.
By the way, once installed, I'll be trying to make this work under XFCE. It's supposed to work under xubuntu, so it should do under Arch as well.

Offline

#10 2013-12-20 15:59:05

kalsan
Member
Registered: 2011-10-10
Posts: 87

Re: Install indicator-multiload

bump :-)

Offline

#11 2013-12-20 16:06:36

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 5,071

Re: Install indicator-multiload

Don't bump: https://wiki.archlinux.org/index.php/Fo … te#Bumping

Your problem is already described on the AUR comments, but no fix.

Offline

#12 2013-12-20 16:15:19

kalsan
Member
Registered: 2011-10-10
Posts: 87

Re: Install indicator-multiload

ok, sorry for that

Offline

#13 2014-01-22 20:15:36

kalsan
Member
Registered: 2011-10-10
Posts: 87

Re: Install indicator-multiload

Got it!
Downloaded the latest AUR package. Then, I followed https://mail.gnome.org/archives/gtkmm-l … 00054.html :
autoreconf --install
intltoolize
autoreconf
./configure
Finally, sudo make install. Works fine, except that there are about 8 pixels missing left and right.

Offline

#14 2014-01-22 21:49:10

gcarq
Member
From: Austria
Registered: 2013-10-07
Posts: 39

Re: Install indicator-multiload

Updated the AUR package, problem should be fixed.
Thanks kalsan

Offline

#15 2014-01-23 08:19:41

kalsan
Member
Registered: 2011-10-10
Posts: 87

Re: Install indicator-multiload

Are you sure that it really works?
After manually removing all conflicting files and installing indicator-multiload via yaourt, I get:
(indicator-multiload:13012): GLib-GIO-ERROR **: Settings schema 'de.mh21.indicator.multiload.general' is not installed
EDIT: By cding into my manual indicator-multiload Downloads folder (already compiled, according to previous post) and redoing just sudo make install, the error disappears.
Cheers,
Kalsan

Last edited by kalsan (2014-01-23 08:21:19)

Offline

Board footer

Powered by FluxBB